﻿@using EPiServer.Core
@using EPiServer.Web.Mvc.Html
@model Vistajet_CMS.Models.Blocks.CoverSection

<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<style>
    .mySlides {
        display: none;
    }
</style>



<script>

    var slideIndex = 1;
    showDivs(slideIndex);

    function plusDivs(n) {
        showDivs(slideIndex += n);
    }

    function showDivs(n) {
        var i;
        var x = document.getElementsByClassName("mySlides");
        if (n > x.length) { slideIndex = 1 }
        if (n < 1) { slideIndex = x.length };
        for (i = 0; i < x.length; i++) {
            x[i].style.display = "none";
        }
        x[slideIndex - 1].style.display = "block";
       
    }

   
</script>




<div style="width: 100%; height: 550px;" >
    <div class="w3-content w3-section" style="width: 100%; height: 550px;">
        <img class="mySlides w3-animate-right" style="width:100%;height: 550px; display: block" src="@Url.ContentUrl(Model.Image)" @Html.EditAttributes(m => m.Image) />
        <img class="mySlides w3-animate-right" style="width:100% ; height: 550px;" src="@Url.ContentUrl(Model.Image2)" @Html.EditAttributes(m => m.Image2)/>
        <img class="mySlides w3-animate-right" style="width:100%; height: 550px;" src="@Url.ContentUrl(Model.Image3)" @Html.EditAttributes(m => m.Image3) />
        <img class="mySlides w3-animate-right" style="width:100%; height: 550px;" src="@Url.ContentUrl(Model.Image4)" @Html.EditAttributes(m => m.Image4)/>

        <button class="w3-button w3-display-left" style="margin-top: 160px" onclick="plusDivs(-1)">&#10094;</button>
        <button class="w3-button w3-display-right" style="margin-top: 160px" onclick="plusDivs(+1)">&#10095;</button>
    </div>
        @*<div style="width: 100%; height: auto;">
            @Html.PropertyFor(m => m.Image)
        </div>*@
        <div style="position: relative; top: -380px;  text-align: center; width: 100%;  height:inherit">
            <p style="font-size: 32px; color: white; margin-bottom: 50px" @Html.EditAttributes(m => m.Heading)>@Model.Heading</p>

            <a class="btn btn-danger" style=" color: white; height:35px; text-align: center; line-height: 25px; " title="@Model.ButtonText" href="@Url.ContentUrl(Model.ButtonLink)" @Html.EditAttributes(m => m.ButtonText)>
                @{
                    var buttonText = string.IsNullOrWhiteSpace(Model.ButtonText)
                        ? Html.Translate("/blocks/buttonblockcontrol/buttondefaulttext")
                        : Model.ButtonText;
                }
                @buttonText
            </a>
        </div>
    </div>











